#ifndef UPDATER_H
#define UPDATER_H

#include <Thread.h>

using namespace Framework;

class KartenServer;

class Updater : public Thread
{
private:
    KartenServer *ks;
    bool beenden;

public:
    // Konstruktor
    Updater( KartenServer *kServ );
    // Destruktor
    virtual ~Updater();
    // nicht constant
    void thread() override;
};

#endif